import type { _NSViewController } from "../AppKit/NSViewController.js";
import type { _NCWidgetSearchViewDelegate } from "./NCWidgetSearchViewDelegate.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _NCWidgetSearchViewController extends _NSViewController {
    static alloc(): _NCWidgetSearchViewController;
    static new(): _NCWidgetSearchViewController;
    init(): _NCWidgetSearchViewController;
    /**
     * The delegate is responsible for performing the search based on the searchTerm provided to it and setting the searchResults array accordingly.
     */
    delegate(): _NCWidgetSearchViewDelegate | null;
    setDelegate$(value: _NCWidgetSearchViewDelegate | null): void;
    /**
     * A textual representation of the objects in searchResults will be displayed using the description property of each object. A different property may be specified for display using the searchResultKeyPath property.
     */
    searchResults(): _NSArray | null;
    setSearchResults$(value: _NSArray | null): void;
    /** Specify localized header text for the search view. Defaults to "Search" */
    searchDescription(): _NSString | null;
    setSearchDescription$(value: _NSString | null): void;
    /**
     * Specify a localized placeholder string to display in the list view when no results are available.
     */
    searchResultsPlaceholderString(): _NSString | null;
    setSearchResultsPlaceholderString$(value: _NSString | null): void;
    /**
     * Specify a key path for the string property to display for each object in searchResults. By default "description" will be used.
     * @deprecated Use WidgetKit instead. Today View extensions have been deprecated.
     */
    searchResultKeyPath(): _NSString | null;
    setSearchResultKeyPath$(value: _NSString | null): void;
}
